Get Group Details

GET /internal/admin/comms/v1/group/{groupId}

Operation id: get__internal_admin_comms_v1_group_groupId_

Description

Get details of a group as an external user

Tags: User Groups

Parameters

Path parameters

NameTypeRequiredDescription
groupIdintegerYesGroup ID to retrieve

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — Successfully retrieved group details

Content type: application/json

400 — Invalid request parameters

401 — Unauthorized request

Content type: application/json

403 — Forbidden

Content type: application/json

404 — Group not found

Content type: application/json

500 — Server error while processing request

Content type: application/json

Response models

200 — Successfully retrieved group details

Content type: application/json

Schema

PropertyTypeRequiredDescription
idinteger (int64)No
namestringNo
descriptionstringNo
site_namestringNo
targetsarrayNo
{
  "type": "object",
  "properties": {
    "id": {
      "type": "integer",
      "format": "int64"
    },
    "name": {
      "type": "string"
    },
    "description": {
      "type": "string"
    },
    "site_name": {
      "type": "string"
    },
    "targets": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "userLogin": {
            "type": "string"
          },
          "isAdmin": {
            "type": "boolean"
          }
        }
      }
    }
  }
}

401 — Unauthorized request

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}

403 — Forbidden

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

404 — Group not found

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

500 — Server error while processing request

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}